Skip to main content
GET
/
users
cURL
curl --request GET \
  --url https://www.greenflash.ai/api/v1/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "part-001",
    "externalId": "user-123",
    "organizationId": "org-001",
    "externalOrganizationId": "org-456",
    "name": "Alice Example",
    "email": "alice@example.com",
    "phone": "+15551234567",
    "anonymized": false,
    "properties": {
      "plan": "premium"
    },
    "createdAt": "2025-07-01T12:00:00Z",
    "updatedAt": "2025-10-01T14:30:00Z"
  },
  {
    "id": "part-002",
    "externalId": "user-456",
    "organizationId": "org-001",
    "externalOrganizationId": "org-456",
    "name": "Bob Builder",
    "email": "bob@example.com",
    "phone": null,
    "anonymized": false,
    "properties": {
      "plan": "free"
    },
    "createdAt": "2025-08-15T09:00:00Z",
    "updatedAt": "2025-09-20T11:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:50

Maximum number of results to return.

Required range: 1 <= x <= 100
offset
number

Offset for pagination.

Required range: x >= 0
page
number

Page number (used to derive offset = (page-1)*limit).

Required range: x >= 1
organizationId
string<uuid>

Filter users by organization ID.

Response

Users retrieved successfully

id
string
required

The Greenflash participant ID.

externalId
string
required

Your external user ID (matches the externalUserId from the request).

organizationId
string<uuid> | null
required

The internal organization ID that the user belongs to.

externalOrganizationId
string | null
required

Your external identifier for the user's organization.

anonymized
boolean
required

Whether the participant's personal information is anonymized.

properties
object
required

Additional data about the participant.

name
string

The participant's full name.

email
string

The participant's email address.

phone
string

The participant's phone number.

createdAt
string<date-time>

When the participant was first created.

updatedAt
string<date-time>

When the participant was last updated.